get:
      tags:
        - Integraciones SAS (MACO)
      summary: Obtener servicios particulares
      description: Listado de servicios particulares (por servicio general y ubicación)
      operationId: serviciosparticularesList
      parameters:
        - $ref: './components_parameters.yaml#/components/parameters/Authorization'
        - $ref: './components_parameters.yaml#/components/parameters/Version'
        - $ref: './components_parameters.yaml#/components/parameters/delegado'
        - $ref: './components_parameters.yaml#/components/parameters/rol'
        - $ref: './components_parameters.yaml#/components/parameters/contexto'
        - $ref: './components_parameters.yaml#/components/parameters/sistema'
        - name: codigo
          in: query
          description: Filtro por código de Servicio Particular. Código <b>ZCSERVICIO</b> de <b>/maco/tablas/serviciosparticulares</b>
          required: false
          schema:
            type: string
        - name: nombre
          in: query
          description: Filtro por descripción de Servicio Particular. Campo <b>ZDSERVICIO</b> de <b>/maco/tablas/serviciosparticulares</b>
          required: false
          schema:
            type: string
        - name: codigoServicioGeneral
          in: query
          description: Filtro por código de servicio general asociado al servicio particular. Código <b>ZCSERVICIO_GENERAL</b> de <b>/maco/tablas/serviciosgenerales</b>
          required: true
          schema:
            type: string
        - name: codigoCentro
          in: query
          description: Filtro por código de centro asociado al servicio particular. Parámetro de<b>/cges/tablas/ubicaciones</b>
          required: true
          schema:
            type: string
        - name: uuidUbicacion
          in: query
          description: Identificador <b>uuid</b> de la ubicación del servicio particular.</br>Parámetro de<b>/cges/tablas/ubicaciones</b>
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK - Se obtiene el listado de servicios particulares
          content:
            application/json:
              schema:
                type: object
                properties:
                  serviciosparticulares:
                    type: array
                    items:
                      type: object
                      properties:
                        código:
                          type: string
                          description: Código del servicio particular
                        nombre:
                          type: string
                          description: Nombre del servicio particular
                        servicioGeneral:  
                          type: object
                          properties: 
                            código:
                                type: string
                                description: Código del servicio general
                            nombre:
                                type: string
                                description: Nombre del serviio general
                        ubicación:  
                          type: object
                          properties: 
                            uuid:
                                type: string
                                description: Identificador del centro de trabajo
                            nombre:
                                type: string
                                description: Nombre del centro de trabajo
                            codigoCentro:
                                type: string
                                description: Código del centro de trabajo
                            links:
                                $ref: './components_schemas.yaml#/components/schemas/Links'
                    required:
                      - mensaje
                required:
                  - serviciosparticulares
        '4XX':
            $ref: './models_errors_4XX.yaml'
        '5XX':
            $ref: './models_errors_5XX.yaml'
      deprecated: false